<?php
class Controllersincronizatorrecebernotafiscal extends Controller {

    public function capturarnfe($pdata = array()){

      $this->load->dmodel('setting/task');
      $this->ftrgeralregistry->permissaoAcessoUrl( $this->dmodel_setting_task->getTaskByType(Type_TaskUrl::Tp_TaskVerificaNfe) );


        if(!$this->config->get('config_verifica_notafiscal')){
            throw new Exception('Configuração de verificação de pedidos desabilitada!');
        }

        $this->load->dmodel('wsceo/pedido/wsnotafiscal');        
        $this->load->type('tipocomum');

        $result =	$this->dmodel_setting_task->getTaskByType(['type' => Type_TaskUrl::Tp_TaskVerificaNfe]);

        $dataTask = array(
            'date_last_acting' => $this->db->dataAtual(),
            'type' => Type_TaskUrl::Tp_TaskVerificaNfe
        );
        $this->dmodel_setting_task->editDateTaskByType($dataTask);

        $minutos = Type_ExecTimeTask::Tp_ExecTime_1min / 60;
        $tempoLimite = (new DateTime($this->db->dataAtual()))->add(new DateInterval('PT' . $minutos . 'M'));

        $this->dmodel_wsceo_pedido_wsnotafiscal->wsnfeToDB(array(), $tempoLimite);
    }

}